#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EQueryCvarValueStatus {
    ValueIntact = 0,
    CvarNotFound = 1,
    NotACvar = 2,
    CvarProtected = 3,
}

impl EQueryCvarValueStatus {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::ValueIntact as i32 => Some(Self::ValueIntact),
            x if x == Self::CvarNotFound as i32 => Some(Self::CvarNotFound),
            x if x == Self::NotACvar as i32 => Some(Self::NotACvar),
            x if x == Self::CvarProtected as i32 => Some(Self::CvarProtected),
            _ => None,
        }
    }
}
